classification
Title: PEP 380 isn't reflected in the Functional Programming HOWTO
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.3, Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ezio.melotti Nosy List: Ramchandra Apte, docs@python, ezio.melotti, msmhrt, python-dev
Priority: normal Keywords: easy, patch

Created on 2012-11-26 12:07 by msmhrt, last changed 2013-01-20 14:36 by ezio.melotti. This issue is now closed.

Files
File name Uploaded Description Edit
issue16557.patch Ramchandra Apte, 2013-01-20 05:16 review
Messages (4)
msg176407 - (view) Author: Masami HIRATA (msmhrt) Date: 2012-11-26 12:07
Although PEP 380 says:
> 2. In a generator, the statement ::
> 
>     return value
> 
> is semantically equivalent to ::
> 
>     raise StopIteration(value)

Functional Programming HOWTO (Doc/howto/functional.rst) says:
> ``return`` with a value, such as ``return 5``, is a syntax error inside a generator function.
msg180276 - (view) Author: Ramchandra Apte (Ramchandra Apte) * Date: 2013-01-20 05:16
Attached is a patch. Note that this is my first Doc patch; please apologize errors.
msg180293 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-01-20 14:35
New changeset e0de6e6e992e by Ezio Melotti in branch '3.3':
#16557: update functional howto -- "return value" is valid after PEP 380.  Initial patch by Ramchandra Apte.
http://hg.python.org/cpython/rev/e0de6e6e992e

New changeset 81b2a30da853 by Ezio Melotti in branch 'default':
#16557: merge with 3.3.
http://hg.python.org/cpython/rev/81b2a30da853
msg180294 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-01-20 14:36
Fixed, thanks for the report and the patch!
History
Date User Action Args
2013-01-20 14:36:24ezio.melottisetstatus: open -> closed

assignee: docs@python -> ezio.melotti

nosy: + ezio.melotti
messages: + msg180294
resolution: fixed
stage: needs patch -> resolved
2013-01-20 14:35:25python-devsetnosy: + python-dev
messages: + msg180293
2013-01-20 05:16:44Ramchandra Aptesetfiles: + issue16557.patch

nosy: + Ramchandra Apte
messages: + msg180276

keywords: + patch
2012-11-28 14:35:17asvetlovsetkeywords: + easy
stage: needs patch
type: enhancement
versions: + Python 3.4
2012-11-26 12:07:18msmhrtcreate